
<app-sort  (sort)="filter($event)"></app-sort>

<mat-button-toggle-group class="toggle">
    <mat-button-toggle mat-icon-button (click)="sort(true, true)">Дата <mat-icon>arrow_downward</mat-icon></mat-button-toggle>
    <mat-button-toggle mat-icon-button (click)="sort(false, true)">Дата <mat-icon>arrow_upward</mat-icon></mat-button-toggle>
    <mat-button-toggle mat-icon-button (click)="sort(true, false)">Задача <mat-icon>arrow_downward</mat-icon></mat-button-toggle>
    <mat-button-toggle mat-icon-button (click)="sort(false, false)">Задача <mat-icon>arrow_upward</mat-icon></mat-button-toggle>
</mat-button-toggle-group>


<ng-template #notTasks>
  <h1>Ни одной задачки :-(</h1>
</ng-template>

<mat-toolbar class = "tasks" *ngIf = "tasks.length else notTasks">
  <mat-toolbar-row class="task" *ngFor ="let item of tasks;  let i = index" id= "{{ i }}" >
    <button  class = "checkBox"
     (click) = "togger(item, i)" mat-icon-button> 
        <mat-icon *ngIf = "item.complected">check_box</mat-icon>
        <mat-icon *ngIf = "!item.complected">check_box_outline_blank</mat-icon>
    </button>

    <h4 [ngClass] = "{crossedOut: item.complected}">{{ item.content }}</h4>
    <span class = "spacer"></span>
     <span class = "date">Добавлено: {{ item.date }}</span>

    <button class = "butDel" (click) = "delete(item)" mat-icon-button>
        <mat-icon>delete</mat-icon>
    </button>

  </mat-toolbar-row>

</mat-toolbar>